import * as React from 'react';
export interface RippleProps extends React.HTMLAttributes<HTMLDivElement> {
    fadeOutTime?: number;
    rippleTime?: number;
    opacity?: number;
    color?: string;
}
interface State {
    rippleX: number;
    rippleY: number;
    rippleSize: number;
    rippleOpacity: number;
    opacityTransition: boolean;
    sizeTransition: boolean;
}
export default class Ripple extends React.PureComponent<RippleProps, State> {
    static defaultProps: RippleProps;
    state: State;
    private root;
    onMouseDown: (e: React.MouseEvent<HTMLDivElement>) => void;
    onMouseUp: () => void;
    onMouseLeave: () => void;
    fadeOut: () => void;
    makeRipple(mouseX: number, mouseY: number): void;
    render(): JSX.Element;
}
export {};
